import 'package:flutter/material.dart';
import 'package:unicons/unicons.dart';

import '../widgets/header.dart';

class StandardAppBar extends StatelessWidget implements PreferredSizeWidget {
  final Function() notifyParent;

  const StandardAppBar({super.key, required this.notifyParent});

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: const Header(text: 'app_name'),
      actions: [
        IconButton(
          onPressed: () {
            this.notifyParent();
          },
          icon: const Icon(UniconsSolid.refresh),
        ),
      ],
    );
  }

  @override
  Size get preferredSize => const Size.fromHeight(50);
}
